Skip to content
quarry Timeline
Login

Timeline

50 descendants and 50 ancestors of 60c5e1c0ea7ac7ce

2026-10-22
13:36
Stall test: hold the backoff open instead of racing a 1ms one closed check-in: 65e91c10e1 user: zeitgeist tags: stall-test-flake
13:27
RFC 0025 rung 3b: pages say a repository's name, not its key closed check-in: 416a0eb1fb user: zeitgeist tags: rfc25-rung3b-names
12:49
land bearer-tokens check-in: 124430cbac user: dmestas tags: trunk
12:32
A token may arrive as Authorization: Bearer, checked by the same door as Basic closed check-in: a6c9cb0ded user: zeitgeist tags: bearer-tokens
11:29
land rfc25-rung3a-create check-in: cb003bce6b user: dmestas tags: trunk
03:05
Review fixes: a team repository is placed before it is named; every move and naming checks the address readers see; startup cannot collide closed check-in: c8680765d7 user: zeitgeist tags: rfc25-rung3a-create
02:51
RFC 0025 rung 3a: a repository is created in a namespace, named within it, with its name as key unless that clashes check-in: 34c43c5da5 user: zeitgeist tags: rfc25-rung3a-create
02:07
land sync-at-address check-in: 2f4acda8de user: dmestas tags: trunk
02:03
Sync reaches a repository at its namespaced address: /r/<namespace>/<handle> and a bare handle go to the fronter closed check-in: 058762922d user: zeitgeist tags: sync-at-address
01:57
land rfc25-rung2-addresses check-in: b4c5c958a9 user: dmestas tags: trunk
01:11
Review fixes: the API reads addresses through the server; an address that is already here is served, not redirected to itself closed check-in: f3f35aa951 user: zeitgeist tags: rfc25-rung2-addresses
01:04
RFC 0025 rung 2: addresses resolve to repositories on pages, sync and the API; a bare handle redirects or lists check-in: 0a73b8779c user: zeitgeist tags: rfc25-rung2-addresses
00:54
land rfc25-rung1-handles check-in: 9df7ea4b89 user: dmestas tags: trunk
00:37
RFC 0025 rung 1: every repository has a handle (its name, for now) and one address per namespace; zeitforge is reserved closed check-in: 25ff042290 user: zeitgeist tags: rfc25-rung1-handles
00:30
land git-import-progress check-in: 1998a55e91 user: dmestas tags: trunk
00:25
A Git import shows check-ins copied of its total while it runs, not 0 bytes closed check-in: 639a0ab5a3 user: zeitgeist tags: git-import-progress
2026-10-21
23:49
land rfc-0025-namespaced-repositories

Checks tested the merge with trunk at 27e59a354bc3; trunk has moved since. check-in: c597d64ca0 user: dmestas tags: trunk

23:49
land new-repo-name-check check-in: 028c1960fd user: dmestas tags: trunk
23:43
RFC 0025: namespaced repositories (a permanent ID is the key, namespace/name the address; flat names as a deployment option) closed check-in: 4b7d962f86 user: zeitgeist tags: rfc-0025-namespaced-repositories
23:40
New repository: a failed import gives its name back to its owner; the name is checked as it is typed and at the review closed check-in: 9ed6cff1a6 user: zeitgeist tags: new-repo-name-check
22:54
land zit-0.6.4

Checks tested the merge with trunk at a229472f6256; trunk has moved since. check-in: 27e59a354b user: dmestas tags: trunk

22:53
land home-your-tickets check-in: 3903f8453c user: dmestas tags: trunk
22:43
zit 0.6.4: Git imports no longer fail Corrupt on tracked check-in manifests (zit #264) closed check-in: e77cfebaed user: zeitgeist tags: zit-0.6.4
21:56
Home tickets are only yours (assigned to you, or filed by you or your agents); four repositories on a narrow screen closed check-in: 7ec4ffff39 user: zeitgeist tags: home-your-tickets
21:33
land home-where-you-work check-in: a229472f62 user: dmestas tags: trunk
21:28
Home page is repositories, teams and tickets; activity follows the page in and has its own page at /activity closed check-in: ab46100df0 user: zeitgeist tags: home-where-you-work
21:07
land home-never-blank check-in: 466e91d92e user: dmestas tags: trunk
20:41
Home page never blank: draw the remembered dashboard, or build it within 150ms, and refresh in place closed check-in: ccb069ec10 user: zeitgeist tags: home-never-blank
20:31
land home-band-cold check-in: 370b2df794 user: dmestas tags: trunk
20:18
Home page arrives as its frame; repositories and activity stream in from ?frag=all closed check-in: d58332e5a2 user: zeitgeist tags: home-band-cold
19:53
Home page: compute the waiting-on-you band only under ticket changes, and number only trackers with rows check-in: a31c4873c4 user: zeitgeist tags: home-band-cold
19:20
land tree-no-scroll check-in: 6d3a37224b user: dmestas tags: trunk
18:42
File lists no longer show a vertical scroll bar: room for the last row history link closed check-in: af78f9c64f user: zeitgeist tags: tree-no-scroll
18:17
land agent-signoff check-in: accdb9579a user: dmestas tags: trunk
18:13
update agent-signoff from trunk closed check-in: c6215759eb user: dmestas tags: agent-signoff
18:13
land new-repo-flow check-in: 1fc21b263f user: dmestas tags: trunk
18:09
Agents ask their owner to sign off on deed acts; the owner approves or denies on /me check-in: f535772914 user: zeitgeist tags: agent-signoff
17:36
New repository flow: four paths, GitHub mirror setup with a manifest choice, review, and a live import page closed check-in: b9ea4de441 user: zeitgeist tags: new-repo-flow
17:31
land go-1273 check-in: 61fb9ced56 user: dmestas tags: trunk
17:00
Go 1.27.3 everywhere: go.mod and the build image closed check-in: e40b49fa6a user: zeitgeist tags: go-1273
16:06
land agent-repo-owner check-in: c179d6cab6 user: dmestas tags: trunk
16:02
An agent's new repository is owned by whoever answers for it; a refused create leaves nothing behind closed check-in: 4285ed173a user: zeitgeist tags: agent-repo-owner
14:57
land git-mirror-in check-in: 3c98b075f7 user: dmestas tags: trunk
14:30
Pin zit 0.6.3: force-push imports from a fresh complete fetch (zit#261) closed check-in: d8c8815daa user: zeitgeist tags: git-mirror-in
13:10
Git mirrors keep no Git data: fetch shallow per pull, deepen on zit 0.6.2 retry, recover interrupted imports, back up import maps check-in: 377fc58e0f user: zeitgeist tags: git-mirror-in
2026-10-20
21:27
Use zit 0.6.1 imported heads for Git mirror default views check-in: 67360a4fd2 user: zeitgeist tags: git-mirror-in
16:12
Prepare Git mirrors for zit 0.6.0 and pin the blocked default-head regression check-in: 113b40a71b user: zeitgeist tags: git-mirror-in
00:47
update git-mirror-in from trunk check-in: 478c4afb42 user: dmestas tags: git-mirror-in
2026-10-19
23:26
update git-mirror-in from trunk check-in: 0d0eee020a user: dmestas tags: git-mirror-in
17:35
update git-mirror-in from trunk check-in: 8bbea62b86 user: dmestas tags: git-mirror-in
2026-10-18
18:54
update git-mirror-in from trunk check-in: 60c5e1c0ea user: dmestas tags: git-mirror-in
18:02
land og-card-fit-figures check-in: 0ad3de326e user: dmestas tags: trunk
17:33
Link preview card: version 4, so cards drawn before the figures fitted are replaced closed check-in: 8ab8105fb1 user: zeitgeist tags: og-card-fit-figures
17:33
Link preview card: the figures fit left of the lockup, a size smaller or one fewer, never under it check-in: 60a5209877 user: zeitgeist tags: og-card-fit-figures
17:29
land og-card-builtin-mark check-in: 195ee90088 user: dmestas tags: trunk
17:25
Link preview card draws a repository's built-in mark: quarry's repository wears quarry's logo, as on the page closed check-in: 9334a374e2 user: zeitgeist tags: og-card-builtin-mark
16:53
land md-table-short-code check-in: d48cea6c90 user: dmestas tags: trunk
16:47
Markdown tables: code in a short column keeps its words whole, so a phone no longer breaks paths one letter a line closed check-in: 23fd648045 user: zeitgeist tags: md-table-short-code
16:37
land og-card-brand check-in: 2e09886d11 user: dmestas tags: trunk
16:04
Link preview card carries the Zeitforge lockup; og:site_name is Zeitforge closed check-in: d4af35954a user: zeitgeist tags: og-card-brand
16:03
land og-card check-in: b4d112596b user: dmestas tags: trunk
15:57
Link previews: a repository page names its own 1200x630 card, drawn in Go from its name, description, figures and avatar closed check-in: 8ccc17944d user: zeitgeist tags: og-card
09:31
update git-mirror-in from trunk check-in: 0faac5f015 user: dmestas tags: git-mirror-in
09:31
land history-below-the-horizon-lives-on-quarry check-in: a41f73b023 user: dmestas tags: trunk
09:26
zitcli: MergeBase is a read closed check-in: e284205c82 user: dmestas tags: history-below-the-horizon-lives-on-quarry
09:25
RFC 0024: the zit child mints seeds; artifact-by-hash and merge-base read ops check-in: 669265c1b7 user: dmestas tags: history-below-the-horizon-lives-on-quarry
09:23
update git-mirror-in from trunk check-in: f653e700ab user: dmestas tags: git-mirror-in
09:18
RFC 0024 horizons: renumbered from 0022 after trunk took 0022 and 0023, decisions settled, index brought current check-in: 9f39a7dccb user: zeitgeist tags: history-below-the-horizon-lives-on-quarry
02:30
land zit-0.5.0 check-in: 812bdf820d user: dmestas tags: trunk
02:22
update zit-0.5.0 from trunk closed check-in: d9adf1899b user: dmestas tags: zit-0.5.0
02:22
land git-mirror-about check-in: 1d0c929687 user: dmestas tags: trunk
00:57
Git mirrors: interval still changeable, delete waits for a pull in flight, a following repository is not mirrored out check-in: 5eeb9d4420 user: zeitgeist tags: git-mirror-in
00:41
Git mirrors in: review fixes; fixed upstream, cleanup on purge, import deadline, one run per repo; and llms.txt says how to set up Git mirrors both ways check-in: b3b2534708 user: zeitgeist tags: git-mirror-in
00:14
Git mirrors in: a repository can follow a Git upstream with git fetch and zit import-git --into check-in: 889e7e9160 user: zeitgeist tags: git-mirror-in
2026-10-17
23:36
Pin zit 0.5.0: import-git --into for Git mirrors, and the 0.4.0 sync-server login fix check-in: 73dfca3288 user: zeitgeist tags: zit-0.5.0
23:34
About: Mirrored to <host path> while a Git mirror is on and current (RFC 0022 rung 3) closed check-in: 46dbded67e user: zeitgeist tags: git-mirror-about
21:28
land git-mirror-sweep check-in: 95060b2730 user: dmestas tags: trunk
20:43
Git mirror: sweep leftover key files at start; a push ended by a stop records nothing closed check-in: 9163db9cff user: zeitgeist tags: git-mirror-sweep
20:36
land git-mirror-push-fixes check-in: 4f9fd0f7ee user: dmestas tags: trunk
20:24
Git mirror push: review fixes; fail closed on private, kill the whole push on cancel, record nothing on a lost lease or stop, keys under the data dir swept at start, one export per key closed check-in: 5d2a13088e user: zeitgeist tags: git-mirror-push-fixes
20:07
land git-mirror-push check-in: e0f1d8a3c8 user: dmestas tags: trunk
20:03
Git mirror push: export and push trunk after each move, key on disk only for the push, backoff, pause when private or taken down (RFC 0022 rung 2) closed check-in: 902161217a user: zeitgeist tags: git-mirror-push
19:20
RFC 0022: the measurement is in; the structural horizon is the deliverable and descendants is the default rule check-in: 2bc9e79196 user: dmestas tags: history-below-the-horizon-lives-on-quarry
19:08
land git-mirror-setting check-in: cc34a35b51 user: dmestas tags: trunk
18:16
land git-mirror-setting check-in: 288962cc67 user: dmestas tags: trunk
18:16
Git mirror remote: refuse a leading-dash user, encoded or query characters, IP and one-word hosts closed check-in: e1f76a4d52 user: zeitgeist tags: git-mirror-setting
18:06
Mirror to Git setting: deploy key sealed, settings section, private and takedown refusals (RFC 0022 rung 1) check-in: 6e042968d1 user: zeitgeist tags: git-mirror-setting
15:20
RFC 0022: horizons; the structural horizon's seed, labels and merge-base come from the index plane check-in: 84c4376a60 user: dmestas tags: history-below-the-horizon-lives-on-quarry
00:16
land rfc23-rung1 check-in: 3f76972ced user: dmestas tags: trunk
00:09
land menu-flip check-in: 1e793e9f26 user: dmestas tags: trunk
00:07
RFC 0023 rung 1: disable and legal hold, 451 on every door closed check-in: 64a9cf6d68 user: zeitgeist tags: rfc23-rung1
2026-10-16
23:59
Fleet row menu flips rightward at phone width closed check-in: 4a95dbb2d0 user: zeitgeist tags: menu-flip
23:23
land rfc23-takedown check-in: 113500a5d9 user: dmestas tags: trunk
23:16
RFC 0023: takedown and legal hold closed check-in: bc632c2ebd user: zeitgeist tags: rfc23-takedown
23:11
land fleet-delete check-in: b24a4ea1e8 user: dmestas tags: trunk
23:05
Fleet rows stop serving and delete any store for a site admin closed check-in: f18b3d07b7 user: zeitgeist tags: fleet-delete
2026-10-15
21:03
land site-scope-fixes check-in: b51117ef35 user: dmestas tags: trunk
20:59
site token: hold the private line on the fleet pages, refuse worker tokens and the forge bucket, re-check streams closed check-in: e25fa23dca user: zeitgeist tags: site-scope-fixes
20:43
land site-scoped-tokens check-in: 1491237bba user: dmestas tags: trunk
20:38
Site scope: a flagged forge agent's token acts as site admin, never past a private repository it holds no grant on (RFC 0021) closed check-in: 7a9a8bf577 user: zeitgeist tags: site-scoped-tokens
17:12
land zit-cache-ceiling check-in: dd36b9ecb3 user: dmestas tags: trunk